> For the complete documentation index, see [llms.txt](https://docs.postgresql.tw/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.postgresql.tw/internals/catalogs/catalog-pg-opfamily.md).

# 52.35. pg\_opfamily \#

The catalog `pg_opfamily` defines operator families. Each operator family is a collection of operators and associated support routines that implement the semantics specified for a particular index access method. Furthermore, the operators in a family are all “compatible”, in a way that is specified by the access method. The operator family concept allows cross-data-type operators to be used with indexes and to be reasoned about using knowledge of access method semantics.

Operator families are described at length in [Section 36.16](/server-programming/extend/xindex.md).

**Table 52.35. `pg_opfamily` Columns**

| <p>Column Type</p><p>Description</p>                                                                                                                                                         |
| -------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| <p><code>oid</code> <code>oid</code></p><p>Row identifier</p>                                                                                                                                |
| <p><code>opfmethod</code> <code>oid</code> (references <a href="/pages/4AYp7PxsLlXx7fY4PQp8"><code>pg\_am</code></a>.<code>oid</code>)</p><p>Index access method operator family is for</p>  |
| <p><code>opfname</code> <code>name</code></p><p>Name of this operator family</p>                                                                                                             |
| <p><code>opfnamespace</code> <code>oid</code> (references <a href="/pages/p7uH9oRd2ZTbQCzy1qKB"><code>pg\_namespace</code></a>.<code>oid</code>)</p><p>Namespace of this operator family</p> |
| <p><code>opfowner</code> <code>oid</code> (references <a href="/pages/nyEMOe5gQKgypFQTDbjS"><code>pg\_authid</code></a>.<code>oid</code>)</p><p>Owner of the operator family</p>             |

<br>

The majority of the information defining an operator family is not in its `pg_opfamily` row, but in the associated rows in [`pg_amop`](/internals/catalogs/catalog-pg-amop.md), [`pg_amproc`](/internals/catalogs/catalog-pg-amproc.md), and [`pg_opclass`](/internals/catalogs/catalog-pg-opclass.md).

***

原文：[PostgreSQL 18.6 Documentation](https://www.postgresql.org/docs/18/catalog-pg-opfamily.html)（英文原文，待翻譯）


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.postgresql.tw/internals/catalogs/catalog-pg-opfamily.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
